Security Enhanced Linux Reference Policy

# Layer: apps

## Module: webalizer

Tunables Interfaces

### Description:

Web server log analysis.

### Tunables:

allow_httpd_webalizer_script_anon_write

##### Default value

false

##### Description

Determine whether the script domain can modify public files used for public file transfer services. Directories/Files must be labeled public_content_rw_t.

Return

### Interfaces:

manage_webalizer_var_lib( domain )

##### Summary

Manage webalizer usage files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to manage webalizer usage files

webalizer_domtrans( domain )

##### Summary

Execute webalizer in the webalizer domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

webalizer_run( domain , role )

##### Summary

Execute webalizer in the webalizer domain, and allow the specified role the webalizer domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return